Get allowed device types for the organization
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uniqueName": "serial_number",
"name": {
"ja": "こんにちは",
"en": "Hello"
},
"kind": "dropdown",
"configuration": {
"values": [
{
"id": "option_1",
"value": "phone",
"group": "phone",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
],
"groups": [
{
"value": "phone",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
]
},
"visibleForType": "phone",
"required": true
}Devices
Get allowed device types for the organization
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
device-types
Get allowed device types for the organization
承認
パスパラメータ
レスポンス
Unique identifier for the device field
例:
"serial_number"
Multi-language names for the field
Show child attributes
Show child attributes
The type of field (e.g., text, number, date, dropdown)
利用可能なオプション:
text, date, number, dropdown 例:
"dropdown"
Additional configuration for the field, such as dropdown options
Show child attributes
Show child attributes
List of device types this field is visible for
利用可能なオプション:
pc, phone, other 例:
"phone"
Indicates if this field is required
例:
true
最終更新日 2026年7月14日
⌘I

